Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oasis.names.tc.saml._2_0.assertion
Class AudienceRestriction

    java.lang.Object
      oasis.names.tc.saml._2_0.assertion.ConditionAbstractType
          oasis.names.tc.saml._2_0.assertion.AudienceRestriction

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-10-28T03:13:32+02:00",
               comments="JAXB RI v2.2.6")
    public class AudienceRestriction

extends ConditionAbstractType
implements Serializable

Java class for AudienceRestrictionType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AudienceRestrictionType">
       <complexContent>
         <extension base="{urn:oasis:names:tc:SAML:2.0:assertion}ConditionAbstractType">
           <sequence>
             <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Audience" maxOccurs="unbounded"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`AudienceRestriction()`

Method Summary
`List<String>` | `getAudiences()` Gets the value of the audiences property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AudienceRestriction

    public AudienceRestriction()

Method Detail

### getAudiences

    public List<String> getAudiences()

  Gets the value of the audiences property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the audiences property.

  For example, to add a new item, do as follows:

          getAudiences().add(newItem);

  Objects of the following type(s) are allowed in the list `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSLOGOPEDIST 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.